"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyDeleteButton = exports.MyBasisButton = exports.MySearchSubmitButton = void 0;

var _vue = require("vue");

var MySearchSubmitButton = (0, _vue.defineComponent)({
  //搜索按钮
  props: {
    title: {
      type: String,
      "default": '搜索'
    },
    icon: {
      type: String,
      "default": 'search'
    },
    color: {
      type: String,
      "default": '#FFF'
    },
    type: {
      type: String,
      "default": 'default'
    },
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props) {
    return function () {
      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-form-item"), null, {
        "default": function _default() {
          return [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-button"), {
            "type": props.type,
            "disabled": props.disabled,
            "html-type": "submit"
          }, {
            "default": function _default() {
              return [props.title];
            },
            icon: function icon() {
              return (0, _vue.createVNode)((0, _vue.resolveComponent)("my-icon"), {
                "style": "position:relative;top:-2px;",
                "icon": props.icon,
                "color": props.color
              }, null);
            }
          })];
        }
      });
    };
  }
});
exports.MySearchSubmitButton = MySearchSubmitButton;
var MyBasisButton = (0, _vue.defineComponent)({
  //基本按钮
  props: {
    title: {
      type: String,
      "default": '默认'
    },
    icon: {
      type: String,
      "default": ''
    },
    color: {
      type: String,
      "default": '#FFF'
    },
    type: {
      type: String,
      "default": 'default'
    },
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props) {
    return function () {
      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-button"), {
        "type": props.type,
        "disabled": props.disabled
      }, {
        "default": function _default() {
          return [props.title];
        },
        icon: function icon() {
          return props.icon ? (0, _vue.createVNode)((0, _vue.resolveComponent)("my-icon"), {
            "style": "position:relative;top:-2px;",
            "icon": props.icon,
            "color": props.color
          }, null) : '';
        }
      });
    };
  }
}); // export const MyEditButton = defineComponent({
//   props: {
//     title: String,
//     type: {
//       type: String,
//       default: 'primary',
//     },
//     disabled: {
//       type: Boolean,
//       default: false,
//     },
//   },
//   setup(props) {
//     return () => (
//       <a-button type={props.type} disabled={props.disabled}>
//         <my-icon class="btn-icon" icon="editor" color="#FFF" />
//         {props.title || '编辑'}
//       </a-button>
//     );
//   },
// });

exports.MyBasisButton = MyBasisButton;
var MyDeleteButton = (0, _vue.defineComponent)({
  //带二次确认按钮
  props: {
    popTitle: {
      type: String,
      "default": '确定要删除？'
    },
    title: {
      type: String,
      "default": '删除'
    },
    type: {
      type: String,
      "default": 'danger'
    },
    disabled: {
      type: Boolean,
      "default": false
    },
    icon: {
      type: String,
      defualt: 'delete'
    },
    color: {
      type: String,
      "default": '#fff'
    }
  },
  setup: function setup(props) {
    return function () {
      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-popconfirm"), {
        "title": props.popTitle,
        "disabled": props.disabled,
        "ok-text": "是",
        "cancel-text": "否"
      }, {
        "default": function _default() {
          return [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-button"), {
            "type": props.type,
            "disabled": props.disabled
          }, {
            "default": function _default() {
              return [props.title];
            },
            icon: function icon() {
              return props.icon ? (0, _vue.createVNode)((0, _vue.resolveComponent)("my-icon"), {
                "style": "position:relative;top:-2px;",
                "icon": props.icon,
                "color": props.color
              }, null) : '';
            }
          })];
        }
      });
    };
  }
});
exports.MyDeleteButton = MyDeleteButton;